
From: Oliver Endriss <o.endriss@gmx.de>

Disable COM_IF_LOCK workaround for firmware > 0x261f.

Signed-off-by: Oliver Endriss <o.endriss@gmx.de>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/ttpci/av7110_hw.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff -puN drivers/media/dvb/ttpci/av7110_hw.c~dvb-av7110-conditionally-disable-workaround-for-broken-firmware drivers/media/dvb/ttpci/av7110_hw.c
--- devel/drivers/media/dvb/ttpci/av7110_hw.c~dvb-av7110-conditionally-disable-workaround-for-broken-firmware	2005-09-04 16:52:22.000000000 -0700
+++ devel-akpm/drivers/media/dvb/ttpci/av7110_hw.c	2005-09-04 16:52:22.000000000 -0700
@@ -366,7 +366,8 @@ static int __av7110_send_fw_cmd(struct a
 		msleep(1);
 	}
 
-	wdebi(av7110, DEBINOSWAP, COM_IF_LOCK, 0xffff, 2);
+	if (FW_VERSION(av7110->arm_app) <= 0x261f)
+		wdebi(av7110, DEBINOSWAP, COM_IF_LOCK, 0xffff, 2);
 
 #ifndef _NOHANDSHAKE
 	start = jiffies;
@@ -439,7 +440,8 @@ static int __av7110_send_fw_cmd(struct a
 
 	wdebi(av7110, DEBINOSWAP, COMMAND, (u32) buf[0], 2);
 
-	wdebi(av7110, DEBINOSWAP, COM_IF_LOCK, 0x0000, 2);
+	if (FW_VERSION(av7110->arm_app) <= 0x261f)
+		wdebi(av7110, DEBINOSWAP, COM_IF_LOCK, 0x0000, 2);
 
 #ifdef COM_DEBUG
 	start = jiffies;
_
